function main(self)
	if self.State == 0 then
		self.Flags.AlwaysActive, self.DrawFlags.NoDraw = true, true
		GetPlane"BackStars1".Tileset[0] = GetImage"CUSTOM_SPARKLE"
		GetPlane"BackStars2".Tileset[0] = GetImage"CUSTOM_SPARKLEBLUE"
		self.timeDelay = 100
		self.State = 1
	end
	if self.State == 1 then
		self.countTime = GetTime() + self.timeDelay
		self.State = 2
	end

	if self.State == 2 and GetTime() > self.countTime then
		CreateObject{name="BackgroundStarsPlacing"}
		CreateObject{name="BackgroundStarsPlacing"}
		self.State = 1
	end

end
